This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1263526 - Conditional boundary event can't be edited
Conditional boundary event can't be edited
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Robert (Bob) Brodt
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 01:32 EDT by Jozef Marko
Modified: 2016-02-16 10:04 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jozef Marko 2015-09-16 01:32:01 EDT
Description of problem:
If user adds conditional boundary event to some task, he can't edit this boundary event.

Version-Release number of selected component (if applicable):
jbds-9.0.0.CR1_jbdsis-9.0.0.Alpha1
BPMN2 Modeler - 1.2.1.x

Steps to Reproduce:
1. Create process with some task
2. Add Conditional Boundary event to this task
3. Double click on boundary event
4. Select tab Event
5. Select event in Event Definitions table
6. Click last Edit button

Actual results:
In step 6. nothing happens

Expected results:
In step 6. is user able to edit given event

Additional info:
Other types of boundary events seems to be fine
Comment 1 Jozef Marko 2015-09-16 01:34:09 EDT
The same for Conditional start event.
Comment 2 Robert (Bob) Brodt 2015-10-29 16:54:22 EDT
Fixed in:
Luna build 1.1.4.201510291907
Mars build 1.2.1.201510291906
Comment 3 Jozef Marko 2015-11-02 02:47:45 EST
Bob, thank. Fix looks good. I will mark as verified when fix will be mirrored in JBDS integration stack.
Comment 4 Robert (Bob) Brodt 2016-02-01 17:05:07 EST
This seems to be fixed in the latest Mars (1.2.3) and Neon (1.3.0) builds for BPMN2 Modeler
Comment 5 Jozef Marko 2016-02-16 10:04:21 EST
Verified on:
jbtis-4.3.0.Beta1
BPMN2 Modeler - 1.2.3.CR2-v20160209-2002

Note You need to log in before you can comment on or make changes to this bug.